'##################################################################################################
SuperStrict

'##################################################################################################
Framework BRL.EventQueue
Import BRL.Retro
Import BRL.Pixmap
Import chaos.desktopext
Import BRL.PNGLoader
Import BRL.Timer
Import BRL.BMPLoader

Extern "Win32"
	Function mouse_event( dwFlags:Int, dx:Int, dy:Int, cButtons:Int, dwExtraInfo:Int )
	Function GetAsyncKeyState:Int(key:Int)
End Extern

'##################################################################################################
Include "Source\Classes\TApp.bmx"
Include "Source\Classes\TGameObject.bmx"
Include "Source\Classes\TMouse.bmx"
Include "Source\Classes\TSettings.bmx"

'##################################################################################################
Print "Beweled Bot v0.1"
Print "Made by: Carl husberg"

'##################################################################################################aa
Global DesktopImage:TPixmap
Global ProgramStart:Int = 0

TSettings.ReadSettings()
'##################################################################################################
Repeat
	
	TApp.UpdateKeys()
	If ProgramStart = 1
		TMouse.SetPos( 0, 0 )
		Local MSBefore:Int = MilliSecs()
		DesktopImage = DesktopPixmap()
		Print MilliSecs() - MSBefore
		Local Map:TGameObject[8,8]
		For Local X:Int = 0 To 7
			For Local Y:Int = 0 To 7
				Map[X,Y] = TGameObject.Create( ((X*TSettings.GOWidth)+(TSettings.GOWidth/2))+TSettings.CanvasX, ((Y*TSettings.GOHeight)+(TSettings.GOHeight/2))+TSettings.CanvasY )
				Map[X,Y].LocalX = X
				Map[X,Y].LocalY = Y
			Next
		Next
	
		TApp.SearchMap( Map )
	EndIf
	
	Delay 2
Forever
TApp.Terminate()

'##################################################################################################